Hide navigation sidebar
Hide table of contents sidebar
PTB has undergone significant changes in v20. Please read the documentation carefully and also check out the transition guide in the wiki.
Back to top
Toggle table of contents sidebar

# DataCredentials

class telegram.DataCredentials(data_hash, secret, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  These credentials can be used to decrypt encrypted data from the data field in EncryptedPassportData.

  Parameters:

    - data_hash (`str`) – Checksum of encrypted data

    - secret (`str`) – Secret of encrypted data

  hash

    Checksum of encrypted data

    Type:

      `str`

  secret

    Secret of encrypted data

    Type:

      `str`

  Available In

  `telegram.SecureValue.data`